ObjectRediscoveryInfo (CMDB Model API)
Keywords: com.collation.platform.model.discovery.profile.ObjectRediscoveryInfo interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.profile
Interface ObjectRediscoveryInfo

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface ObjectRediscoveryInfo

extends ModelObject

RediscoveryInfo

Naming Rules:
  0="objGuid"
Persistable:
  true
Table Name:
  OBJRDISC
Display Name:
  objGuid

Method Summary
`Guid` | `getAgentConfigurationGuid()`
`java.lang.String` | `getAgentConfigurationName()`
`Guid` | `getObjGuid()`
`ModelObject[]` | `getObjGuids()`
`byte[]` | `getSeed()`
`boolean` | `hasAgentConfigurationGuid()`
`boolean` | `hasAgentConfigurationName()`
`boolean` | `hasObjGuid()`
`boolean` | `hasObjGuids()`
`boolean` | `hasSeed()`
`void` | `setAgentConfigurationGuid(Guid acGuid)`
`void` | `setAgentConfigurationName(java.lang.String acName)`
`void` | `setObjGuid(Guid objGuid)`
`void` | `setObjGuids(ModelObject[] objGuids)`
`void` | `setSeed(byte[] seed)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getObjGuid

    Guid getObjGuid()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setObjGuid

    void setObjGuid(Guid objGuid)

### hasObjGuid

    boolean hasObjGuid()

### getObjGuids

    ModelObject[] getObjGuids()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setObjGuids

    void setObjGuids(ModelObject[] objGuids)

### hasObjGuids

    boolean hasObjGuids()

### getAgentConfigurationGuid

    Guid getAgentConfigurationGuid()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAgentConfigurationGuid

    void setAgentConfigurationGuid(Guid acGuid)

### hasAgentConfigurationGuid

    boolean hasAgentConfigurationGuid()

### getAgentConfigurationName

    java.lang.String getAgentConfigurationName()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAgentConfigurationName

    void setAgentConfigurationName(java.lang.String acName)

### hasAgentConfigurationName

    boolean hasAgentConfigurationName()

### getSeed

    byte[] getSeed()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSeed

    void setSeed(byte[] seed)

### hasSeed

    boolean hasSeed()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD